from PIL import Image

PATH = "data/yugo.jpg"

with Image.open(PATH) as img: 

    # Transponovanje slike
    imgt = img.transpose(Image.TRANSPOSE)
    imgt.show()

    # Zadatak 1: koriscenjem odgovarajuce rotacije, 
    # anulirati rezultat transponovanja ulazne slike (imgt).
    
    # Ideja 1:
    img_restored = imgt.rotate(-90)
    img_restored.show()

    # Ideja 2:
    img_restored = imgt.rotate(-90, expand=True)
    img_restored.show()

    # Zakljucak: mora se ponovo mirrorovati (rotacije ne menja 
    # "pravac" slike)

    # Zadatak 2: koriscenjem odgovarajuceg flipa, 
    # anulirati rezultat transponovanja ulazne slike (imgt).
    imgt.transpose(Image.FLIP_TOP_BOTTOM).rotate(-90, expand=True).show()

    # Zadatak 3: koriscenjem drugog tipa flipovanja i odgovarajuce 
    # rotacije postici isto. 
    imgt.transpose(Image.FLIP_LEFT_RIGHT).rotate(90, expand=True).show()